# User List

Display your WordPress users and their profiles in an index on your site.

Requires at least: 2.5.1  
Tested up to: 3.5.2

### Features

* Choose how to display user links, by ID or Display Name
* Works with any page on your site. 
* Supports Gravatars for profile images.
* Supports the "User Photo" plugin for profile images. 
* Supports the "User Files" plugin for user files.
* Display users according to roles.
* Add "noindex" to the index pages to prevent search engines from indexing them. 
* Plenty of hooks to style your directory yourself with CSS. 
* Displays any registered user on your site.
* Works with or without permalinks. 
* Displays the date the user joined.
* User links are nofollowed. 
* Shows recent posts and comments on the profile page.

### Changelog

* 1.5.1: Added Russian language support. Thank you: chelobaka
* 1.5.1: Added functionality, how to display user links, by ID or Display Name
* 1.5: Plugin name has changed to User List. Added localization support and swedish translations. New pagination. Added plugin support for User Files, code cleanup and paging bug fix.
* 1.4: Fixed security issue with potential SQL Injection flaw. Additional bug fixes.
* 1.3: Updated pagination. Moved page content from the bottom to the top of the page.
* 1.2: Bug fix for WordPress 3.0 compatibility.
* 1.1: Avatar display and biographical info display are now optional. User description character limit can now be modified. Fixed a bug where draft posts displayed on the profile page.
* 1.0: Added support for displaying users according to roles. Fixed conflict with Get Recent Comments plugin.
* 0.9: Added support for User Photo plugin profile photos.
* 0.2: Code improvements.
* 0.1

## Installation

1. Download and unzip `user-list.zip.`
1. Upload the `user-list` directory to the `/wp-content/plugins/` directory.
1. Activate the plugin through the 'Plugins' menu in WordPress.
1. Create a page through the add new page menu or select and existing page on which to display the user directory and remember the page ID.
1. Under 'Settings,' click 'User List' and enter the page ID where you want the user directory displayed.
1. Modify any of the other settings you want, and click 'Update Options.' 
1. Go to the page you selected. You should now have a user directory displaying.
1. In your theme, modify your CSS file to change the look and feel of your directory.
1. That's it!
